Bug 115554 - panel launcher properties window gets window mgr TOP (but child windows can't be seen above the properties dialog)
Summary: panel launcher properties window gets window mgr TOP (but child windows can't...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 15:24 UTC by James Laska
Modified: 2013-09-02 05:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 19:36:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Laska 2004-02-13 15:24:32 UTC
Not sure which package this belongs to, I gather it would be
gnome-panel.  The properties dialog for a panel launcher seems to get
the window manager TOP layer.  Then, any child windows launched from
the properties dialog (icon selection, browse) are below the main
properties window and cannot be raised above it (by clicking or alt-tab).

Steps to reproduce:
1. right-click a panel launcher icon and select properties
2. select the "Browse" button in the "Command:" section
   = the "open file dialog" window cannot be raised above the parent
window
3. select the icon button in the "Icon:" section  
   = the "browse icons" window cannot be raised above the parent window

gdk-pixbuf-gnome-0.22.0-3.0
gnome-applets-2.5.4-1
gnome-audio-1.4.0-6
gnome-common-2.4.0-0_cvs_0
gnome-desktop-2.5.3-1
gnome-desktop-devel-2.5.3-1
gnome-games-2.5.5-1
gnome-icon-theme-1.1.5-1
gnome-keyring-0.1.3-1
gnome-libs-1.4.1.2.90-37
gnome-libs-devel-1.4.1.2.90-37
gnome-mag-0.10.3-1
gnome-media-2.5.2-1
gnomemeeting-0.98.5-1
gnome-mime-data-2.4.1-1
gnome-panel-2.5.3.1-3
gnome-pilot-2.0.10-5
gnome-pilot-devel-2.0.10-5
gnome-print-0.37-7.1
gnome-print-devel-0.37-7.1
gnome-python2-2.0.0-3
gnome-python2-applet-2.0.0-3
gnome-python2-bonobo-2.0.0-3
gnome-python2-canvas-2.0.0-3
gnome-python2-gconf-2.0.0-3
gnome-python2-gnomeprint-2.0.0-3
gnome-python2-gnomevfs-2.0.0-3
gnome-python2-gtkhtml2-2.0.0-3
gnome-python2-nautilus-2.0.0-3
gnome-session-2.5.3-1
gnome-spell-1.0.5-2
gnome-system-monitor-2.5.2-1
gnome-terminal-2.5.1-1
gnome-themes-2.5.3-1
gnome-user-docs-2.4.1-1
gnome-utils-2.5.2-1
gnome-vfs-1.0.5-15
gnome-vfs2-2.5.7-1
gnome-vfs2-devel-2.5.7-1
gnome-vfs2-smb-2.5.7-1
gnome-vfs-devel-1.0.5-15
gnome-vfs-extras-0.2.0-7
libgail-gnome-1.0.2-2
libgnome-2.5.3-1
libgnomecanvas-2.5.3-1
libgnomecanvas-devel-2.5.3-1
libgnomecups-0.1.6-4
libgnome-devel-2.5.3-1
libgnomeprint-1.116.0-7
libgnomeprint15-0.37-7.1
libgnomeprint22-2.5.1-1
libgnomeprintui-1.116.0-5
libgnomeprintui22-2.5.1-1
libgnomeui-2.5.3-2
libgnomeui-devel-2.5.3-2
openssh-askpass-gnome-3.6.1p2-27
switchdesk-gnome-3.9.8-18
up2date-gnome-4.3.11-2

Comment 1 Mark McLoughlin 2004-02-23 10:14:48 UTC
This is a metacity bug. Upstream bug:

    http://bugzilla.gnome.org/show_bug.cgi?id=96140


Note You need to log in before you can comment on or make changes to this bug.